﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    
    image takashi = "takashi_normal.png"
    image takashi angry = "takashi_angry.png"
    image takashi blush = "takashi_blush.png"
    image takashi evil = "takashi_evil.png"
    image takashi happy = "takashi_happy.png"
    image takashi vhappy = "takashi_vhappy.png"
    image takashi sad = "takashi_sad.png"
    image kazuma = "kazuma_normal.png"
    image kazuma angry = "kazuma_angry.png"
    image kazuma blush = "kazuma_blush.png"
    image kazuma blush2 = "kazuma_blush2.png"
    image kazuma happy = "kazuma_happy.png"
    image kazuma vhappy = "kazuma_vhappy.png"

    image bg classroom = "classroom.jpg"
    image bg front = "frontday.png"
    image bg frontnight = "frontnight.jpg"
    image bg officeday = "officeday.png"
    image bg officenight = "officenight.png"
    image bg computer lab = "computer_lab.jpg"
    image bg street = "street.jpg"
    image bg street2 = "street2.jpg"
    image bg stairsday = "stairsday.png"
    image bg stairsnight = "stairsnight.png"
    image bg nurseday = "nurseday.png"
    image bg nursenight = "nursenight.png"
    image bg mountainsday = "mountainsday.png"
    image bg mountainsnight = "mountainsnight.png"
    image bg homeday = "homeday.png"
    image bg homenight = "homenight.png"
    image bg hallwayday = "hallwayday.jpg"
    image bg hallwaynight = "hallwaynight.png"
    image bg bedroomday = "bedroomday.png"
    image bg bedroomnight = "bedroomnight.png"
    image bg grass = "grass.jpg"
    
    image hikaru glimpse = "hikaru_glimpse.jpg"
    image hikaru blush = "hikaru_blush.jpg"
    image hikaru zoom = "zoom.jpg"
    image hikaru wind = "hikaru_wind.jpg"
    image hikaru cooking = "cooking1.jpg"
    image hikaru full = "hikaru_full.jpg"
    image hikaru draw = "draw1.jpg"
    image hikaru draw2 = "draw2.jpg"
    image hikaru cry = "hikaru_cry.jpg"
    image hikaru baby = "hikaru_baby.jpg"
    image takashi out = "takashi_out.jpg"
    image takashi hit = "takashi_hit.jpg"
    image takashi eat = "takashi_eat.jpg"
    image takashi kiss = "takashi_kiss.jpg"
    image takashi bad = "takashi_bad.jpg"
    image takashi good = "takashi_good.jpg"
    image takashi blink = "takashi_blink.jpg"
    image takashi intro = "takashi_intro.jpg"
    image kazuma blood = "kazuma_blood.jpg"
    image kazuma kiss = "kazuma_kiss.jpg"
    image kazuma kiss2 = "kazuma_kiss2.jpg"
    image kazuma lift = "kazuma_lift.jpg"
    image kazuma focus = "kazuma_focus.jpg"
    image kazuma teach = "kazuma_teach.jpg"
    image kazuma protect = "kazuma_protect.jpg"
    
    # Declare characters used by this game.
    $ h = Character('Hikaru', color="#c8ffc8")
    $ t = Character('Takashi', color="#f9ffc8")
    $ u = Character('???', color="#000000")
    $ k = Character('Kazuma', color="#ff00ff")
    $ th = Character('Takashi and Hikaru', color="#000000")
    $ narrator = Character(None, window_left_padding=160)
    
# The game starts here.
label start:
    
    stop music
    play music "teardrop.mp3"
    
    "hello! thank you for downloading this game.."
    "before you start, I would like to tell you something about the game.."
    "at first the main character (hikaru) will be colorless (you can't see her color) she is all white."
    "you have to finish an ending to see Hikaru's color.."
    "there, you may now begin!"
    
    scene bg front with dissolve
    
    h "PHEW! SAFE!"
    "hmm, you might be wondering who Hikaru is.."
    "well, she is so cute that a lot of boys like her."
    "but she sucks at school, she's too popular that she finds a lot of things boring."
    h "UGHH!! everywhere I go, boys are chasing me! it's very annoying."
    h "I may be cute but, I hate boys.. This world is so boring.. what can I do today?"
    h "everyday is boring.. yesterday today and tommorow."
    show takashi with dissolve
    "an average looking boy appears"
    u "hmmm? does that mean you hate me too?"
    "he is very rude and annoying to me"
    h "huh?  who are you? I don't know you! stop talking to me!"
    show takashi evil with dissolve
    u "hmmm? why did you answer me then?"
    h "..."
    "this person is really annoying.. he should die."
    "how should I answer?"
    
    menu:
        "just leave me alone ok? PUNK!":
            jump angry
        
        "fine, you win.":
            jump give

    label angry:
        
    h "ARGGHH!!"
    h "I don't care who you are and I am really pissed right now so.."
    h "just leave me alone ok? PUNK!"

    show takashi happy with dissolve
    
    u "interesting.."
    "huh? interesting? how rude!!! ARGGHH!!"
    h "SHUT UP!!"
    "you exploded in front of that guy."
    u "ahh.. your a hothead huh?"
    h "ARGGHH!!! WHATEVER!!"
    u "hey you, you can call me takashi."
    h "I DIDN'T ASK FOR YOUR NAME!!!"
    
    show takashi vhappy with dissolve
    
    t "hmmm.."
    h "why are you smiling?"
    t "what's your name?"
    h "..."
    "what should I do now?"
    
    menu:
        "tell him your name":
            jump name
        "walk away":
            jump walk
            
    label name:

    h "hi..."
    
    show takashi with dissolve
    
    t "hi?"
    h "it's Hikaru.."
    
    show takashi happy with dissolve
    
    t "ahh.. how cute."
    h "your still annoying you know!"
    t "then why did you tell me your name?"
    h "I just felt like it."
    t "say, your cute."
    h "shut up.."
    t "I'm sorry Hikaru but, I have to go to class..."
    t "bye."
    h "whatever.."
    scene bg front with dissolve
    "as you walk to your  own classroom.. you see a star zooming directly to you.."
    h "huh? how is that possible?!?!"
    "the star comes closer."
    h "ahh!! what am I gonna do?"
    with vpunch
    play sound "thwap.wav"
    show hikaru zoom with dissolve
    "you were too late, the star has entered your body.."
    h "...."
    show black with fade
    scene bg front with dissolve
    h "huh? I'm still here? no one even noticed me?"
    "hmmpp.. this school is so careless..."
    "you see a boy very far away from you.. it's like he doesn't even want you to look at him."
    h "umm?"
    u "..."
    "what should I do?"
    menu:
        "approach him":
            jump approach
        "ignore him":
            jump ignore
            
    label approach:

    "when you approached him, he walks back a little."
    show kazuma with dissolve        
    h "umm.. is something the matter?"
    "he doesn't reply.."
    "you just notice him looking at your eyes."
    h "ahem.."
    u "you.."
    h "ohh! you do speak!"
    u "are you a.."
    h "a what?"
    u "a physic?"
    h "what are you talking about?"
    u "so, you don't know.."
    h "you can't trick me."
    u "it's true, you must've never knew."
    h"..."
    u "I'm kazuma, kazuma igarashi."
    h "I'm Hikaru."
    h "why are you walking away?"
    k "cause I don't want to go near you."
    "how rude of him, maybe he has a phobia on girls"
    h "how did you know I was a physic?"
    k "your eyes.."
    h "what about my eyes?"
    k "It's color black.. and that detail.."
    h "huh? my eyes aren't black, it's blue!"
    "kazuma hands you a mirror."
    h "WHAT?!? my eyes are blue!"
    h "how did this happen?"
    k "Ms. Hikaru, would you like to join our team?"
    h "team? what team?"
    k "Magical Mess is the name of our team."
    h "why magical mess? it sounds weird."
    k "There is a reason for everything.."
    k "Anyway, would you like to join our team?"
    "What should I do?"
    menu:
        "ok":
            jump ok3
        "no, thanks.":
            jump no
            
    label ok3:
    h "ok!"
    show kazuma happy with dissolve
    k "you made a wise decision, Hikaru."
    h "thank you umm.. can I call you by your first name?"
    show kazuma with dissolve
    k "go ahead.. don't I call you by your first name?"
    h "uhh yeah, thanks kazuma."
    k "your welcome.."
    k "well, I shall continue with my work.. If you have any questions, you can visit the computer lab."
    h "thanks for the advice.."
    k "goodbye."
    h "Sayounara, Kazuma-kun.."
    k "yeah.."
    "I still don't know much about Magical Mess so maybe I'll drop by sometime, well, I have to go to class!"
    scene bg classroom with fade
    "The teacher begins to start the lesson"
    "he starts teaching complicated things I don't undertand, oh well.."
    "I'm dumb anyway.. but, kazuma looks smart.."
    "Ugghh.. why am I thinking about him?"
    with fade
    h "finally! class is over!"
    "what should I do?"
    menu:
        "go to the computer lab":
            jump computer
        "go home":
            jump home
            
    label computer:
    h "I should go visit the computer lab, maybe kazuma is there."
    h "I have questions that needs to be answered.."
    scene bg computer lab with dissolve
    h "..."
    "I don't see him anywhere.."
    "ugghh.. this is very disspointing.. I wanted to ask some questions and-"
    k "ohh, miss hikaru!"
    h "Kazuma!"
    "he walks back a little again.."
    show kazuma with dissolve
    k "what brings you here? did you want to ask something?"
    k "go ahead and ask.."
    h "I wanted to ask something about Magical Mess.."
    k "what about it?"
    h "uhh.."
    "what should I say?"
    menu:
        "What does Magical Mess do?":
            jump do
        "Why is it called Magical Mess?":
            jump why
        "Do we have other members?":
            jump other
            
    label do:
    h "what does Magical Mess do?"
    k "we uncover mysteries and such.."
    k "It's not much but, I like helping people so I started a group like this.."
    h "Ohh, I see.."
    
    jump continued
            
    
    label why:
    h "Why is it called Magical Mess?"
    k "because we uncover mysteries that are unbelievable, the criminals have magic.."
    k "If they don't have magic then, they should just called the police.."
    k "we uncover cases that involves magic."
    h "Ohh, I see.. "
    
    jump continued
    
    label other:
    h "Do we have other members?"
    k "In fact we do.."
    k "Jin, he is also a Physic like you.."
    k "But, his skills are not all that good.."
    k "And Oreo, he has eyes like xray vision glasses.."
    k "and Takashi.."
    h "TAKASHI?!?!?!"
    k "yeah.. you met each other?"
    h "well yeah.."
    k "he  has the power to control blood.."
    k "I have a power to create a barrier.."
    h "Ohh.. I see.."    
    
    jump continued
    
    label no:
    h "I'm sorry but no.."
    k "It's ok, well I have to get going.."
    scene bg front with dissolve
    "you see his face getting all weird when you said that."
    "after that, nothing interesting happened in your life, it ends here."
    
    return
    
    label ignore:
        
    h "I should just ignore him.."
    "when the school year was over, nothing happened at all.."
    "NO PROGRESS"
    
    return
    
    label give:
        
    h "fine, you win."

    show takashi with dissolve
    
    t "hmmm.. you give up easily, how boring.."
    "what?"
    h "huh? your insane."
    t "ahh, your boring, I must leave."
    
    scene bg front with dissolve
    
    h "what does he want?"
    h "whatever, I'm going to my class.."
    "as you walk to your  own classroom.. you see a star zooming directly to you.."
    h "huh? how is that possible?!?!"
    "the star comes closer."
    h "ahh!! what am I gonna do?"
    with vpunch
    play sound "thwap.wav"
    show hikaru zoom with dissolve
    "you were too late, the star has entered your body.."
    h "...."
    show black with fade
    
    scene bg front with dissolve
    h "huh? I'm still here? no one even noticed me?"
    "hmmpp.. this school is so careless..."
    "you see a boy very far away from you.. it's like he doesn't even want you to look at him."
    h "umm?"
    u "..."
    "what should I do?"
    menu:
        "approach him":
            jump approach2
        "ignore him":
            jump ignore2
            
    label approach2:

    h "when you approached him, he walks back a little."
    show kazuma with dissolve        
    h "umm.. is something the matter?"
    "he doesn't reply.."
    "you just notice him looking at your eyes."
    h "ahem.."
    u "you.."
    h "ohh! you do speak!"
    u "are you a.."
    h "a what?"
    u "a physic?"
    h "what are you talking about?"
    u "so, you don't know.."
    h "you can't trick me."
    u "it's true, you must've never knew."
    h"..."
    u "I'm kazuma, kazuma igarashi."
    h "I'm Hikaru."
    h "why are you walking away?"
    k "cause I don't want to go near you."
    "how rude of him, maybe he has a phobia on girls"
    h "how did you know I was a physic?"
    k "your eyes.."
    h "what about my eyes?"
    k "It's color black.. and that detail.."
    h "huh? my eyes aren't black, it's blue!"
    "kazuma hands you a mirror."
    h "WHAT?!? my eyes are blue!"
    h "how did this happen?"
    k "well..."
    h "what is it punk?"
    k "umm.. nothing.. enjoy your day.."
    "after that, nothing changed in your way of living.."
    "NO PROGESS"
    
    return
    
    label ignore2:
        
    h "I should just ignore him.."
    "when the school year was over, nothing happened at all.."
    "NO PROGRESS"
    
    return
    
    label walk:
        
    h "whatever, like hell I would tell you my name."
    scene bg front with dissolve
    "you walk away.."
    h "I don't care who he is.. he doesn't interest me.. he should really die.."
    "after that, nothing changed at all, everything was still boring.."
    "NO PROGRESS"
        
    return
    
    label home:
    
    h "I'll just go home for today.."
    h "maybe I'll just never show my face to them at all.."
    h "They didn't interest me anyway.."
    h "My life will surely be more boring.."
    "and after that nothing changed, everything was still the same."
    "NO PROGRESS"
    
    return    
        
    label continued:    
    
    k "ok, since I answered your question, I'll go back to work.."
    h "yeah.."
    k "you can comeback tommorow if you want to know more, Ms. Hikaru."
    h "uhh.. you don't have to be so formal you know?"
    k "I'm not, this is my normal self.."
    h "ohhh..."
    "how awkward, could it be that he is from a rich family?"
    h "well, whatever.. I'm going home now.."
    scene bg street with dissolve
    h "ah, today is really windy.."
    show hikaru wind with dissolve
    "the wind is blowing too hard.."
    "I feel like my skirt is too high.."
    "My hair is gonna be a mess.."
    "Ah, this is really annoying.."
    h "maybe if I run fast! I can reach how faster and no more wind!"
    scene bg street with dissolve
    "you run as fast as you can.."
    scene bg street with fade
    h "whew! I'm almost there!"
    "but suddenly.."
    with vpunch
    play sound "thwap.wav"
    show takashi hit with dissolve
    "It was too windy that you were pushed by the wind and hit somebody.."
    "It looks like he actually tried to save you but, he got blown away too.."
    scene bg street with dissolve
    h "umm.. are you okay?"
    t "yes.."
    h "Takashi?"
    show takashi with dissolve
    t "hmmm?"
    h "uhh.. thank you?"
    show takashi evil with dissolve
    t "for what huh? hahaha"
    h "for.. TRYING to save me.."
    show takashi happy with dissolve
    t "you didn't have to be that harsh!"
    h "yeah, your right.."
    h "so, your a member of Magical Mess too right?"
    show takashi with dissolve
    "his smile suddenly dissapeared."
    t "well, yeah."
    h "hmm.. it seems like you hate that team."
    t "I don't.."
    show takashi happy with dissolve
    t "..I actually like it, so your a new member?"
    h "yes, I'm a physic."
    show takashi with dissolve
    t "I see.."
    "he doesn't seem so surprised.."
    h "yeah, Kazuma said you have the power to control blood!"
    t "yes, I do.."
    h "that's cool!"
    show takashi sad with dissolve
    t "ohh... I guess so..."
    h "hmmm?"
    "what should I say?"
    menu:
        "is something the matter?":
            jump matter
        "hey you! your getting annoying!":
            jump annoying
            
    label matter:
    h "hey what's the matter?"
    show takashi with dissolve
    t "huh? it's nothing.."
    t "I was just.. spacing out."
    h "ohh..."
    t "well, I have to go now! see yah around!"
    h "bye!"
    "I think I should go home shoudn't I?"
    scene bg homeday with dissolve
    pause .1
    scene bg bedroomday with dissolve
    h "there is nothing to do, I should just wait until it's night."
    scene bg bedroomnight with dissolve
    h "hah, maybe I should sleep now."
    h "but I'm not really all that sleepy, oh well.."
    scene bg bedroomday with fade
    pause .1
    scene bg homeday with dissolve
    pause .1
    scene bg front with dissolve
    h "bah, I think I should just go to the computer lab."
    h "I should just ask Kazuma about Magical Mess.."
    scene bg hallwayday with dissolve
    pause .1
    scene bg stairsday with dissolve
    pause .1
    scene bg computer lab with dissolve
    h "kazuma! are you here?"
    k "yes, I am."
    show kazuma with dissolve
    k "What is it Ms Hikaru? Do you have something to ask?"
    "what should I say?"
    menu:
        "I just want to spend time with you":
            jump flirt
        "I just want to know more about this computer lab":
            jump labb
        "I just want to know more about Magical Mess":
            jump mess
        "I just want to know more about you":
            jump you
    
    label flirt:
    h "I just wanted to spend time with you"
    k "I'm sorry but, I'm sure you have better things to do, Ms. Hikaru"
    k "you'll just waste your time here.."
    k "maybe you should quit our team and enjoy your school for now.."
    k "goodbye, Ms. Hikaru"
    show black with dissolve
    "BAD ENDING - TOO FORWARD"
    
    return    
    
    label labb:
    h "I just wanted to know more about this computer lab"
    k "I see, what do you want to know about it?"
    h "you see, I'm not very good at handling computers, maybe you could teach me how, just a little bit"
    show kazuma happy with dissolve
    k "ohh, how clever of you to think that, Ms. Hikaru"
    h "hahaha, thanks Kazuma!"
    k "your very welcome, well, shall we start now?"
    h "sure!"
    show kazuma teach with dissolve
    k "this is a sensitive computer."
    k "you have to be careful, you are not allowed to touch the screen, Ms. Hikaru.."
    h "ohhh, ok."
    "he likes these kind of stuff doesn't he?"
    "this is kind of boring but, atleast he is having fun.."
    k "and then th-"
    "BEEP BEEP"
    k "ohh, please wait for a moment Ms. Hikaru.. something is wrong with that computer.."
    show kazuma focus with dissolve
    h "huh?"
    "is he near-sighted?"
    "I thought he wasn't, I thought his eyes were fine.."
    "just look at the way he looks at that computer.."
    scene bg computer lab with dissolve
    show kazuma happy with dissolve
    k "sorry about that.."
    h "are you near-sighted?"
    k "ohh, was that disturbing you? well, I am.."
    k "I just forgot my contacts at home."
    h "ohh.. that explains it."
    k "shall we continue?"
    h "O-o-o-of course!!"
    k "hehehe, then next is..."
    "and he teaches me some other things in the lab.. it was quite helpful XD"
    "now, let's go home."
    scene bg stairsday with dissolve
    pause .1
    scene bg hallwayday with dissolve
    pause .1
    scene bg front with dissolve
    pause .1
    scene bg street with dissolve
    pause .1
    scene bg homeday with dissolve
    h "maybe I'll go straight to bed today...."
    scene bg bedroomday with dissolve
    h "but first I'll do my assignments.."
    "scribble...... scribble...... scribble"
    scene bg bedroomnight with dissolve
    h "I'll sleep now.."
    scene bg bedroomday with fade
    h "Ohayo Gozaimasu"
    scene bg homeday with dissolve
    "you eat breakfast and hurried to school"
    scene bg street with dissolve
    pause .1
    scene bg front with dissolve
    h "bah. I forgot my assignments at home.. oh well.."
    k "Ms. Hikaru, you can't just leave your assignments at home!!"
    show kazuma angry with dissolve
    h "oh, hi Kazuma."
    k "you must not forget to bring your assigments or else! your grades will not improve."
    h "ahah...."
    "so he likes studying? well, I should've expected that.. he acts all formal and such.."
    h "I'm sorry I forgot to bring my assignments.. It slipped out of my mind.."
    k "Ms. Hikaru, I looked at your grades and, you might not be able to pass.."
    h "what?!?!"
    h "what am I going to do?!?!?!"
    h "I don't want to get low grades and FAIL!!! My mom is going to kill me!!"
    show kazuma with dissolve
    k "I suppose.. I could let you copy mine for now.."
    h "wait, are we in the same class??"
    k "yes.. "
    h "Really?!?! I didn't even notice.."
    k "I'm in the far corner of the room, that is why no one notices me.."
    h "well, I am in the middle row.. I never even looked at the back cause boys are looking at me.."
    k "those boys have no manners, they should be more hospitable.."
    h "uhh.. yeah..."
    k "well, about your grades Ms. Hikaru.."
    h "hmmm?"
    k "l'll let you copy mine so, let's pick a place to go.."
    k "let's do it somewhere peaceful.."
    h "what about the library?"
    k "No, somewhere even more peaceful.. "
    h "umm.. the park.. the part there where grass grows?"
    show kazuma happy with dissolve
    k "that's a good idea! let's go there!"
    h "yes.."
    scene bg grass with dissolve
    show kazuma with dissolve
    k "it's rather windy Ms. Hikaru...."
    h "yeah, I noticed that.. what if the papers fly away?"
    k "well, let's go somewhere else.."
    "the both of you stand"
    "the wind was getting stronger.."
    show kazuma blush2 with dissolve
    k "umm.. Ms. Hikaru?"
    h "yes?"
    k "your skirt..."
    "he can see your underwear.."
    h "EKKKK!!!"
    "you quickly cover it.."
    "but the wind left you out balanced.."
    h "ahhh!!!"
    k "Ms. Hikaru!!"
    show kazuma kiss2 with dissolve
    play sound "thwap.wav"
    "you kissed kazuma.."
    "..in the lips.. :D"
    scene bg grass with dissolve
    show kazuma blush with dissolve
    "you two quickly stand up.."
    h "uhh.. I'm sorry.."
    k "it's fine..."
    "is he SMILING?!?!?!"
    h "you seem happy about it.."
    show kazuma blush2 with dissolve
    k "ummmm!"
    h "I'm.. happy about it too..."
    k "really?"
    h "yes, I started to like studying a little.. because of you.."
    k "ohhh.."
    show kazuma blush with dissolve
    k "shall we kiss one more time?"
    h ".......sure!!!!"
    k "how brave of you, please forgive my selfish request..."
    h "yes..."
    show kazuma kiss with dissolve
    "GOOD ENDING: KAZUMA 1/2"
    "the other ending is actually better than this.."
    "thanks for playing!"
    "now you get to see Hikaru's true color!"
    show hikaru full with dissolve
    h "thank you for playing! PLAY AGAIN so you could see takashi's endings or kazuma's other ending..."
    h "now, see the Gallery.. there are still pictures that are not there.. PLAY AGAIN so you can unlock them all :D"
    return
    
    label mess:
        
    h "I want to know more about Magical Mess.."
    k  "I see.. well, maybe you could ask it later.. I am really busy right now.."
    h "ok, If your really busy.."
    "after that, you guys solved mysteries..."
    "nothing more, it seems like you just go there to kill time.."
    "BAD ENDING - NO PROGRESS"
    
    return
    
    label you:
        
    h "I want to know more about you..."
    k "I think that is too personal.."
    h "ohh.."
    k "I have to go back to work.. bye."
    h "yeah.."
    show kazuma angry 
    pause .1
    scene bg computer lab with dissolve
    "He seems angry.."
    "after that he rarely even talks to me.."
    "BAD ENDING - TOO FORWARD"
    
    return
    
    label annoying:
    h "hey you! your getting annoying! you keep on spacing out!"
    show takashi with dissolve
    t "..."    
    show takashi vhappy with dissolve
    t "heh... interesting.."
    h "what's so interesting?!?!"
    show takashi evil with dissolve
    t "you."
    h "ARGHHH!!!!"
    t "hehehe"
    h "SHUT UP!!"
    show takashi happy with dissolve
    t "hey, can you make me a bento box tommorow? please?"
    h "why should I?"
    t "because, I want you to.."
    h "just what am I to you? your maid?!?!"
    t "no..."
    h "then what?"
    show takashi evil with dissolve
    t "your my... toy!"
    h "WHAT?!?!?!"
    t "please make me the bento box! I'll be waiting at the frontyard of the school at 9.."
    h "... I'll ... think about it.."
    show takashi happy with dissolve
    t "hehehe, make it delicious!"
    h "I didn't say that I'm gonna make you anything yet!"
    t "I'll still be waiting, ok!"
    h "arrgghh.. what if I didn't come?"
    show takashi vhappy with dissolve
    t "then, I'll still wait! I'm looking forward to it so, please?"
    h "whatever!"
    t "bye hikaru-chan!"
    h "whatever.."
    "your going home."
    with fade
    scene bg homeday with dissolve
    h "ohh... I have to cook Takashi's bento box don't I?"
    "If you don't know what a bento box is, it's boxed lunch."
    h "I should cook now, I don't want him to wait in the front of the school for too long."
    h "well, it's not my fault if he tastes my horrible cooking.."
    show hikaru cooking with dissolve
    "you remembered takashi's bento box and started cooking.."
    "you can't understand much because, this was your first time cooking.."
    "well, you tried your best.."
    h "hmm.. I think takashi is rude but he is kind inside.."
    h "so, I must my best to make this bento box!"
    "you got all fired up and started cooking.."
    scene bg homenight with dissolve
    h "Phew! I'm done. this should be ok.."
    "you taste it.."
    h "this is actually.. ok!"
    h "YEY!! hehehe"
    "you started to like cooking.."
    "you were so happy, you poured yourself with oil."
    "I know, awkward right? hahaha"
    show hikaru glimpse with dissolve
    h "yey!! my cooking was ok!"
    "you see, hikaru's hair color is actually orange, not yellow!"
    "you still don't know what hikaru really looks like so, keep playing ;)"
    h "I should go to sleep now."
    scene bg bedroomnight with dissolve
    h "I know, I'm an anime geek, see that picture on the wall? hahaha"
    h "hmm, is there something I could do? I won't really affect anything.."
    "what should I do?"
    menu: 
        "sleep":
            jump sleep
        "draw":
            jump draw
            
    label sleep:
    h "ehh, I'll just sleep.. that's the onlything I'm good at anyway.."
    with fade
    scene bg bedroomday with dissolve
    
    jump day
    
    return
    
    label draw:
    h "maybe I'll draw for a while.."
    show hikaru draw with dissolve
    "you bring out a piece of paper.."    
    h "what should I draw?"
    h "maybe I'll draw Kazuma and Takashi.."
    h "well, I'm not all that good but, I'll try!"
    "you draw for a while"
    show hikaru draw2 with dissolve
    h "hahaha! they look weird!"
    h "well, I'm not really good at it.. oh well!"
    h "I'm going to sleep now!"
    with fade
    scene bg bedroomday with dissolve
        
    jump day    
    
    label day:
    h "today is another day! hmm.. I never knew I was a physic.. "
    "you were walking around in circles.."
    with vpunch
    play sound "thwap.wav"
    h "OUCH!!!"
    h "I hit the wall! ugghhh.."
    h "whatever.. I'll just go straight to school.."
    scene bg front with dissolve
    h "... ohh ... "
    h "I was suppose to give takashi this bento box.."
    "you see him there.."
    t "yo! hikaru!"
    show takashi happy with dissolve
    h "ohh.. hey there.."
    show takashi angry with dissolve
    t "what's your problem?"
    h "nothing.."
    show takashi happy with dissolve
    t "heh.. did you make me the bento box?"
    h "uhh.. yeah.."
    t "where is it?"
    "what should I do?"
    menu:
        "give him the bento box":
           jump obento
        "don't give him the bento box":
            jump nah
        "change the subject":
            jump change
            
    label obento:
    h "here.."
    "you hand him the bento box.."
    "takashi tastes it.."
    show takashi with dissolve
    h "what's the matter?"
    t "uhh... it tastes weird.."
    h "huh? it doesn't! I tasted it lastnight!"
    t "uhh.. it's ok.. I'll finish it.."
    "he has bad taste huh?"
    h "well, now that that's over.. I should be going now.. bye"
    "after that day, takashi never even looked at you in the eye, your cooking must've tasted bad.."
    "BAD COOKING ENDING XD"
    
    return
    
    label nah:
    h "I actually forgot it at home.."
    show takashi angry with dissolve
    t "WHAT?!?!"
    t "I'm starving! I didn't eat anything since yesterday!"
    h "what? I see.. I guess I'll just... maybe I'll..."
    t "WHAT?"
    h "I'll treat you then.."    
    show takashi happy with dissolve
    t "thank you!"
    h "hmmpp.."
    "UHH!!! I'm actually tight on my budget!"
    "whatever.."
    h "let's just go already.."
    t "hai!!"
    show takashi out with dissolve
    "I look at him.."
    "he has such sad eyes.. I wonder why?"
    "well, I don't know much about him anyway.."
    "maybe he doesn't have a good life? whatever.."
    scene bg front with dissolve
    show takashi happy with dissolve
    t "5 lollipops please!"
    h "why five?"
    show takashi vhappy with dissolve
    t "you see, I LOVE LOLLIPOPS!"
    h "just what are you a baby?"
    t "hahaha.."
    "well, I'm kinda glad he wanted that.. that wasn't even expensive.."
    "takashi recieves the lollipops and I paid it.."
    show takashi eat with dissolve
    h "hmmm?"
    "he is an average looking guy but, he is just so mysterious.."
    "I actually find that.. cute.."
    t "what are you looking at??"
    "SHOOT!"
    h "uhh... nothing.. it's really nothing you know!! STOP LOOKING AT ME!!"
    t "uhhh? your awkward.."
    h "I'm NOT!!"
    t "you like..."
    "gulp! he must've noticed it because I was looking at him!!"
    h "what are you talking abou-"
    t "YOU LIKE MY LOLLIPOP DON'T YOU!"
    h "HUH?!?!?!?!"
    t "here.. have one! it's orange flavored.."
    h "hhmmm.. I do like orange.. maybe I'll try it.."
    "you tasted it.."
    h "it' actually good!"
    t "I told you!"
    h "hehehe, I can't believe this!"
    t "hahaha.."
    "we became close because of that.."
    "we sometimes touch hands accidentally.."
    "it always make me blush because of that.."
    "I have feelings for him.."
    scene bg homeday with dissolve
    h "hah, I have to call takashi with the phone because I forgot my cellphone at their house.."
    "*RING* *RING* *RING*"
    t "hello?"
    h "hey! it's me, Hikaru!"
    t "why did you call? well, MAYBE it's because you left YOUR cellphone here.."
    h "hahahaha"
    t "I'll drop by and give it to you.."
    h "thanks!"
    "you wait for a couple of minutes.."
    " *DING DONG* "
    h "ahh! that's probably him.."
    h "COME IN!!"
    show takashi happy with dissolve
    t "here's your cellphone!"
    h "thanks!"
    h "why don't you stay here for a while?"
    t "ok!"
    h "let's go to my room!"
    show takashi blush with dissolve
    t "your room?"
    h "pervert! we're not going to do THAT idiot."
    show takashi happy with dissolve
    t "hahahaha, just kidding"
    h "haha! come on!"
    scene bg bedroomday with dissolve
    show takashi happy with dissolve
    h "let's do our assignments together!"
    t "ok! sounds good!"
    "scribble scribble scribble"
    show takashi angry with dissolve
    t "your doing it WRONG!!!"
    h "why?!?!?!"
    show takashi with dissolve
    t "you see this... it should be like this..."
    h "oohhh!!! right, sorry.."
    show takashi happy with dissolve
    "scribble scribble scribble"
    h "DONE!!!"
    show takashi vhappy with dissolve
    t "hahaha, me too.. I'm a minute earlier than you."
    show takashi happy with dissolve
    h "boo..."
    show takashi vhappy with dissolve
    t "ahahaha, just kidding!"
    show takashi happy with dissolve
    h "you sure do like the word 'kidding' hahaha"
    t "yeah, I know!!"
    h "hahahaha"
    "we joked about things that pop out of our heads and laughed for a long time..."
    "....."
    show black with dissolve
    "We suddenly made a deep eye - contact.."
    "Takashi kisses me.."
    "His tongue touched me.."
    "he pushes me to the bed.."
    "and so on..."
    scene bg bedroomnight with dissolve
    h "huh? what time is it...."
    "1:00 AM"
    h "it's so ear-"
    "you see takashi beside you sleeping at the other side of the bed.."
    h "...."
    "your blushing.."
    "you continue sleeping anyway..."
    "you hugged him.."
    "you felt the warmth of his body.."
    "and slept.."
    scene bg bedroomday with fade
    show takashi happy with dissolve
    t "good morning, today is saturday!"
    h "huh? your still here?"
    show takashi angry with dissolve
    t "how rude!"
    show takashi happy with dissolve
    t "anyway, would you want to go outside?"
    h "sure!"
    play sound "thwap.wav"
    show takashi good with dissolve
    t "sorry.. hikaru.."
    h "what are you doing?!?! let me go!!!"
    t "I have to kill you.."
    h "why are you doing this?!?"
    t "because, I have to follow my master.."
    t "I'm just a spy, I don't treat Magical Mess as my team!"
    t "I just pretended to be in it.. I'm a fake.."
    t "I have to kill each member one by one.."
    t "including you..."
    h "why did you follow your master?!?!"
    h "who IS your master?!?!?!"
    h "why is he so important?"
    t "my DAD is my master... do you want me to disobey my father?"
    h "does he love you?"
    h "why does he order you these kind of things?"
    t "I don't know if he loves me.. maybe if I obey his orders he will!"
    t "I have to kill you!!"
    h "...."
    "Takashi puts out his knife.."
    "after 1"
    "2"
    "3"
    "4"
    "5 minutes.."
    t "...."
    t "hikaru..."
    h "what?"
    t "I just can't kill you..."
    scene bg street with dissolve
    show takashi sad with dissolve
    t "...."
    show takashi with dissolve
    h "you shouldn't! let's live together!!"
    h "let's make a family!"
    h "let's escape together!!"
    show takashi sad with dissolve
    t "..."
    show takashi with dissolve
    t "how can I disobey my-"
    h "ohh... you prefer him.."
    t "it's hard.."
    show takashi blush with dissolve
    t "I'll choose .... you."
    t "My dad doesn't even notice me.."
    show takashi evil with dissolve
    t "and it seems like you can't live without me hehehe"
    h "embarrassing... but true.."
    show takashi blush with dissolve
    t "...."
    h "hehehehe"
    show takashi happy with dissolve
    t "let's go to a place where no other person is there but safe!"
    h "where is that?"
    t "let's just travel around the world and find out!"
    h "do you even have money?"
    t "of course I do!! I have a little.. but it's enough.."
    t "you?"
    h "I think mine is enough too!"
    t "if we combine in then.. we'll be fine!"
    t "let's go!"
    h "yes! let's go.."
    t "ohh... wait.."
    h "what?"
    show takashi kiss with dissolve
    scene bg street with dissolve
    show takashi blush with dissolve
    t "hehehehe..."
    h "hahahaha, let's go!"
    show takashi happy with dissolve
    t "yeah!"
    "GOOD ENDING: TAKASHI 2/2"
    "there is another ending.. play again to see.."
    "check the gallery for new pictures!"
    "now you get to see Hikaru's color."
    show hikaru full with dissolve
    "thanks for playing!"
    
    return
    
    label change:
    h "hey, does kazuma have a boyfriend?"
    show takashi angry with dissolve
    t "HUH?"
    h "you should know, your a member right?"
    "I actually don't have any interest on Kazuma at all.."
    t "even if I'm a member, HE WON'T TELL ANYTHING THAT'S PERSONAL YOU KNOW!!"
    h "ohhh..."
    t "if your gonna ask all that to me then why not just go to him and ask him directly?!?!"
    h "that's a stupid idea."
    t "HHMMMPPP!!!!"
    "takashi pushes you to the hallway.."
    scene bg hallwayday with dissolve
    show takashi angry with dissolve
    h "stop pushing me!!!"
    t "I'm taking you to the computer lab!!"
    h "noo!! don't!!!"
    "takashi keeps on pushing you anyway!"
    scene bg stairsday with dissolve
    h "UUGGGHHH!!!! STOP IT!!"
    k "what's the commotion going on here?"
    show kazuma at right with dissolve
    h "takashi is pushing me!!"
    t "she is lying!!"
    h "NO I'M NOT!!"
    t "YES YOU ARE!!"
    h "UGGHHH!!!!"
    k "hmmm.. it seems like you two are close friends.."
    th "we are not!!!"
    show kazuma vhappy at right with dissolve 
    pause .5
    show kazuma happy at right with dissolve
    pause .5
    show kazuma vhappy at right with dissolve
    pause .5
    show kazuma happy at right with dissolve
    pause .5   
    show kazuma at right with dissolve
    "did he just laugh?"
    k "it really seems like it.."
    th "YUCK!! ME FRIENDS WITH THAT IDIOT?!?!"
    show kazuma vhappy at right with dissolve
    k "bahahaha!!"
    show kazuma at right with dissolve
    h "you like laughing?"
    k "did I laugh?"
    h "yes you did.."
    k "ohhh? I didn't notice that, Ms. Hikaru.."
    t "she doesn't even deserve to be called that!"
    h "WHAT?!?!"
    t "hahahaha! take that!"
    show kazuma happy with dissolve
    k "hahahaha! you guys are really funny, you should join a contest that involves comedy."
    "uhhh... he is so formal!"
    "how should I respond?"
    menu:
        "ohh, I see, Mr. Kazuma":
            jump formal
        "are you sure you really act that way?":
            jump unformal

    label formal:
    h "ohh.. I see, Mr. Kazuma.."
    show kazuma with dissolve
    k "ohh? you don't have to be so formal."
    h "I could say the same to you."
    t "are you and idiot?"
    h "huh?"
    t "he is an IGARASHI! he is from a rich family, don't you think that a rich person act formal?"
    h "I KNOW!! I just didn't know he was rich and all.."
    "but, I did think about it... "
    t "whatever.."
    k "hikaru, takashi, please calm down."
    h "uhh, ok.."
    "I have no idea what his thinking.."
    k "well, I'll go back to work.. I shall let you guys have fun."
    h "...."
    
    "after that, kazuma seems to be distant."
    "he didn't even talk to you after that incident."
    "BAD ENDING - ANNOYING"
    return

    label unformal:
    h "are you sure you really act that way?"
    show kazuma with dissolve
    k "I'm sorry but, what way?"
    h "you know, all formal and stuff.."
    h "you said you really act that way but, it's just hard to believe.."
    show kazuma happy with dissolve
    k "you see, I'm from a rich family, Ms. Hikaru."
    h "ohhh.. so it's normal for you to act that way?"
    k "yes, that's how it is."
    h "well, are you.. famous?"
    k "what do you mean, Ms. Hikaru?"
    h "you know, famous! a lot of people know you! like old people, boys and.... girls?"
    k "ohh, they do actually, especially girls.."
    "I KNEW IT!!!"
    h "does that mean you have a girlfriend?"
    k "uhh.. well, no.. it will distract me from my work.."
    t "hahaha"
    k "I actually have an office, you can drop by sometime if you want, Ms. Hikaru."
    h "umm, ok! but, where exactly is your office?"
    "Kazuma tells you the address.."
    h "ohh! that place is close to our house!"
    k "ohh? I should visit your house sometime then, Ms Hikaru."
    t "yehee~ their all Lovey-Dovey here.. hahaha"
    h "shut up, takashi!"
    k "I should excuse myself for now, Ms. Hikaru."
    h "bye!"
    t "I should go too, bye."
    h "yeah.."
    scene bg stairsday with dissolve
    
    jump playmore 
    
    
    label playmore:
        
    scene bg hallwayday with dissolve
    h "ahh, I guess I have to go home now."
    scene bg front with dissolve
    h "shoot! I forgot my cellphone at my classroom!"
    scene bg hallwayday with dissolve
    pause .5
    scene bg classroom with dissolve
    h "ahh! here it is! I thought someone would have took it!"
    k "huh? Ms. Hikaru?"
    h "Kazuma!"
    "I notice him hiding his arm."
    h "what's up? what are you doing here?"
    k "oohh, I was just passing by when," 
    show kazuma blush with dissolve
    k "I saw you, Ms. Hikaru.."
    show kazuma with dissolve
    k "anyway, what are you doing here? why haven't you gone home yet?"
    h "uhh, you see, I forgot my cellphone here."
    k "ohh.. I see."
    h "uuhhh..."
    k "you still don't know much about Magical Mess.."
    k "go ahead and ask a question, Ms. Hikaru"
    menu:
        "Why don't I see the other members?":
            jump why2
        "Did you create this group?":
            jump did
        "How did you meet Takashi?":
            jump how
        "Change Subject":
            jump subject

    label why2:
    h "Why don't I see the other members?"
    k "because, the creator of this game wanted to do it.."
    k "we are actually in a game."
    h "huh? were in a game?"
    k "uhh.. yes."
    k "the game was made by a 13 year old girl name maegan."
    k "the other characters named Oreo and Jin are important to your character too but, the author doesn't have that much free time."
    h "ohh, I see..."
        
    jump ok
    
    label did:
    h "did you create this group?"
    k "actually, I did."
    h "why?"
    k "because, my beloved Mother was killed by magical villains.."
    h "ohhh, I'm sorry about asking it.."
    k "It's fine, I asked for it didn't I?"
    "He actually doesn't look sad, maybe he is good at acting."
    h "you didn't have to tell me something personal..."
    k "It actually made me feel better, I let out all my feelings out of my body."
    h "ohh!! that's good then!"
    k "yeah."
    
    jump ok
        
  
    label how:
    h "how did you meet Takashi?"
    k "hhmmm? why do you ask?"
    h "because, he is so mysterious.. it's hard to get along with him.."    
    k "Me and Takashi aren't really all that close, even if I try to talk to him.."
    k "He doesn't look at me in the eye."
    h "he looks at me in the eye!"
    k "He must've liked you then.."
    h "He just plays around with me and stuff.."
    k "hmmm.. he must want something from you.."
    h "nah, he doesn't.."
    k "ohh, I see."
    
    jump ok
        

    label subject:        
    h "Putting that aside, why are you hiding your arm?"
    k "I'm not hiding anything.."
    h "your a good actor."
    k "I'm not really hiding anything, Ms. Hikaru."
    h "LIAR! give me your arm!"
    k "I'm sorry, but that is rude."
    "you grab his arm."
    show kazuma blood with dissolve
    k "..."
    h "let's go to the nurse's office RIGHT NOW!!"
    k "why? this usually happens."
    h "so? just look at it! the blood isn't even pure red! it has the color white combined in it!"
    "kazuma let's go of your hand."
    scene bg classroom with dissolve
    show kazuma with dissolve
    k "you don't have to, tommorow, there will probably be someone going to do this."
    h "huh? why?"
    k "I'm the leader of Magical Mess but, all I can do is create a barrier.."
    k "so the magical villains set me as their target instead of lowest rank to highest.."
    k "It's not like everyone is strong and all.."
    h "I'll protect you then!"
    k "you are even more powerless than I am.."
    h "then, I'll start training.."
    h "..for you!"
    show kazuma blush with dissolve
    pause .5
    show kazuma with dissolve
    k "fine.. but please, be careful, Ms. Hikaru."
    h "ok, don't worry! I'll be able to protect you soon.."
    k "bye, take care!"
    h "yeah."
    show kazuma with moveoutright
    h "I think I should go too.."
    scene bg hallwayday with dissolve
    pause .1
    scene bg front with dissolve
    pause .1
    scene bg street with dissolve
    pause .1
    scene bg homeday with dissolve
    pause .1
    scene bg bedroomday with dissolve
    h "my legs are sore.."
    h "maybe I'll get something to eat first.."
    scene bg homeday with dissolve
    "you eat food.."
    scene bg homenight with dissolve
    pause .1
    scene bg bedroomnight with dissolve
    h "after all that walking, I'm tired! I should sleep now.."
    h "I have to train tommorow.."
    scene bg bedroomday with fade
    h "boo.."
    h "I should train.."
    h "what if I try to touch the wall.."
    "you touch the wall.."
    play sound "thwap.wav"
    show hikaru baby with dissolve
    h "huh?...... is that..... me???"
    h "she does look like me... a little.."
    h "I look weird when I was a baby.. how dissapointing.."
    h "anyway.. this is process! I must tell kazuma!"
    h "I know his cellphone number.. I'll call him.."
    "dialing.."
    k "hello?"
    h "ohh! hey kazuma, it's me! Hikaru."
    k "what is it? is it something important?"
    h "yes! I want to tell you in person.. where are you?"
    k "huh? you don't know this place.."
    h "just tell me!"
    k "in..."
    "he tells you the address."
    h "hehe, I know that place!"
    h "my house is near there!"
    h "I'm going there ok?"
    k "fine, I'll wait outside."
    scene bg street with dissolve
    "you see kazuma over there."
    h "yo! kazuma!"
    show kazuma with dissolve
    k "hello, Ms. Hikaru.. come in."
    h "is this your house? it's huge!"
    k "this isn't my house, this is my office."
    h "your OWN office?"
    k "you forgot? I've already told you about my office."
    h "really? I completely forgot ! hahaha"
    show kazuma happy with dissolve
    k "haha, please come in !"
    h "I'm coming in!"
    scene bg officeday with dissolve
    "kazuma sits beside me."
    k "let's continue to why you really are here for, what was it that you wanted to talk about?"
    h "you see, when I touched the wall on my room, I saw the past.."
    k "really? that's amazing !"
    "I just realized, we are alone.."
    show hikaru blush with dissolve
    h "..."
    k "why are you blushing, Ms. Hikaru?"
    "I just realized, his voice is so.. low.. it sounds sexy.."
    h "uhh.. it's nothing.."
    k "ahh.. you must've noticed that we are alone."
    h "..."
    k "don't worry, I won't do anything.."
    "Kazuma's words made me feel calm.."
    scene bg officeday with dissolve
    "I look at Kazuma as he looks at the window."
    "he looks at me."
    "our eyes meet, we were thinking the same thing."
    show kazuma kiss with dissolve
    "we.. love each other."
    scene bg officeday with dissolve
    "we lie on the bed."
    with fade
    "Kazuma is blushing.."
    "you know, because.. we did 'that'"
    "we did... that."
    k "was it weird?"
    h "uhh.. of course not.."
    "I'm blushing really hard."
    "kazuma smiles and looks at me."
    k "thanks."
    "I smile back."
    h "your welcome."
    "kazuma stands and carries a box."
    h "want me to help?"
    k "thanks, that would help me alot."
    "you try to stand.."
    h "..."
    h "uhh..."
    "you can't stand"
    h "I can't stand.."
    k "hahaha, I'll help you.."
    show kazuma lift with dissolve
    k "...."
    h "...."
    "I'm heavy... I weight 180 pounds."
    k "your heavier than you look.."
    h "I know hahaha"
    "kazuma was able to lift you."
    "he slipped.."
    show kazuma kiss2 with dissolve
    "we landed on the soft gray carpet.."
    "..kissing.."
    "you quickly stand up.."
    scene bg officeday with dissolve
    "after that, you both shared a laugh."
    "you two talked for a long time.. It was already night."
    scene bg officenight with dissolve
    h "it's night."
    k "want me to walk you home?"
    h "sure!"
    scene bg street with dissolve
    t "heh, what a nice place to kill you both."
    show takashi evil with dissolve
    k "takashi-san?"
    h "TAKASHI??!?!?!?!?!?!"
    t "that's right, I've been wanting to put an end to Magical Mess."
    h "why?"
    show takashi angry with dissolve
    t "why you say? my family was killed by Magical Mess years ago!"
    t "now, Magical Mess should die.."
    h "!!!!"
    t "BLOODY ATTACK!"
    "some sort of magic is coming closer to me.."
    h "AHHHH!!!!"
    k "hikaru!!"
    show kazuma protect with dissolve
    play sound "thwap.wav"
    h "KAZUMA!!!"
    show hikaru cry with dissolve
    t "heh, I killed the leader first hahaha."
    show takashi bad with dissolve
    t "I'll kill you now."
    h "ARGGGHHHHH!!!!"
    "you were so mad.. alot of things went flying.."
    scene bg street with dissolve
    show takashi angry with dissolve
    t "WTF?!?! what is THIS!! the power of a physic?"
    h "...."
    "you look at takashi."
    show takashi with dissolve
    t "hmmm?"
    "a rock hit him in the face."
    show takashi angry with dissolve
    play sound "thwap.wav"
    scene bg street with dissolve
    h "kazuma!! KAZUMA!!"
    k "yes?"
    h "I'm taking you to the hospital!"
    k "...please don't..."
    h "WHY?!"
    k "my family.. is there.."
    k "they'll... just.. ignore my anyway.."
    h "I'll take you to my house then!!"
    k "..."
    scene bg homenight with dissolve
    pause .1
    h "hang in there!"
    scene bg bedroomnight with dissolve
    "you made him lie on your bed."
    h "how are you feeling?"
    k "I'm.. fine.."
    "he was sweating blood."
    "you wipe the blood with your old shirt.."
    k "it's fine.. you don't have to do that."
    h "no, please don't speak.. don't push yourself.. you'll heal faster."
    "kazuma is blushing.."
    k "hikaru.."
    h "yes?"
    k "can I kiss you?"
    show hikaru blush with dissolve
    h "..umm.."
    h "o-of c-course!!!!"
    "kazuma is smiling.."
    show kazuma kiss with dissolve
    scene bg bedroomnight with dissolve
    k "thanks, you were able to protect me.."
    h "hehe, it's fine!"
    k "I love you.."
    h "it's a little embarrassing to say that.."
    h "but, I love you too."
    "GOOD ENDING: KAZUMA 2/2"
    "there is another ending.."
    "if you want to see it, play again!"
    "thanks for playing!"
    "now you get to see Hikaru's true color!"
    show hikaru full with dissolve
    h "thank you for playing! PLAY AGAIN so you could see takashi's endings or kazuma's other ending..."
    h "now, see the Gallery.. there are still pictures that are not there.. PLAY AGAIN so you can unlock them all :D"
    
    return

    label ok:
    k "if that's it, I should bit myself farewell, Ms. Hikaru.."
    h "ohh, ok! it's fine!"
    k "goodbye, Ms. Hikaru, please be careful on your way home."
    h "you too! bye!"
    scene bg classroom with dissolve
    h "I should going now.."
    scene bg hallwayday with dissolve
    pause .1
    scene bg front with dissolve
    h "hmmm.. a wallet?"
    h "hehehe, should I pick it up?"
    h "maybe I'll pick it up on the next 5 minutes.."
    "5"
    "4"
    "3" 
    "2"
    "1"
    h "I guess, I'm picking it up!"
    t "wait! that's mine!"
    h "huh?"
    show takashi angry with dissolve
    t "that's MINE hikaru! don't you dare pick it up!"
    h "fine!!!!"
    "that jerk."
    show takashi happy with dissolve
    t "thanks."
    "takashi picks up the wallet"
    t "all of my money, credit cards and other things are in here.."
    t "thanks for not getting it.. it means a lot."
    h "your welcome?"
    "that's awkward.. he seems serious thanking me."
    "I look at Takashi."
    "He notices me."
    show takashi blink with dissolve
    t "you looking at me.. hihihi"
    h "shut up!!!"
    show hikaru blush with dissolve
    h "..."
    scene bg front with dissolve
    t "hey, I want a lollipop."
    h "heh? lollipop? what are you a baby?"
    show takashi happy with dissolve
    t "I get that alot!"
    h "well, it is a little childish..."
    t "anyway, I want one!"
    t "I'm really hungry!!! I'm starving to death.."
    "should I get him a lollipop?"
    menu:
        "yes":
            jump love
        "no": 
            jump nolove
    
    label nolove:
    h "no, you think you can trick me by saying your starving to death?"
    h "how can a lollipop make you full?"
    show takashi sad with dissolve
    t "....."
    scene bg front with dissolve
    "takashi walks away.."
    h "hmmmp"
    "after that, he never really talked to you, he just talks to you when it is about Magical Mess.."
    "BAD ENDING - MEANIE"
    
    return
    
    label love:
    h "fine, but just this once!!"
    show takashi vhappy with dissolve
    t "really? thanks!"
    h "don't get to happy, a lollipop only costs 5 cents, it doesn't mean much."
    t "but still, thank you."
    h "whatever, let's go to the nearest grocery store."
    t "yes, this way !"
    show takashi out with dissolve
    "he seems lonely.."
    "and..."
    "AHHH!! he noticed me!!"
    t "hmmm?"
    h "...."
    show takashi blink with dissolve
    t "heh? you have a crush on me?"
    h "NO WAY!!!!"
    h "and stop BLINKING!!!!"
    t "hehehe.."
    t "then why were you looking at me?"
    h "should I really tell you?"
    t "go ahead.."
    scene bg front with dissolve
    show takashi with dissolve
    h "It's that... ummm..."
    h "you look so lonely.. why?"
    show takashi sad with dissolve
    t "ohhh, I have a lot of problems.. that's all."
    h "want me to help?"
    show takashi with dissolve
    t "you know.."    
    "he comes closer.."
    show takashi intro with dissolve
    "takashi looks serious right now."
    t "..you can't really help with my problem."
    scene bg front with dissolve
    show takashi happy with dissolve
    t "now, give me my lollipop!"
    "what was that all about? does he hate me or something?"
    "I just don't get it, why was he so serious just a while ago?"
    "well, I bought the lollipop, I ended up buying 2"
    h "here, your lollipop."
    show takashi vhappy with dissolve
    t "thanks."
    show takashi eat with dissolve
    "hah, looking at him.. he eats weird."
    "I don't really think that, that looks weird.."
    "I just think it's weird.. AHHH!! it's complicated."
    t "hey, you bought two right?"
    h "yes.. why did you ask?"
    t "try it."
    h "fine!"
    "you taste it. It wasn't so bad! it's actually delicious!"
    scene bg front with dissolve
    show takashi with dissolve
    t "so? how was it?"
    h "it's delicious!"
    show takashi blush with dissolve
    t "hehe, I told you so!"
    h "how can that be? I like lollipops now?"
    t "lollipops aren't ONLY for children."
    h "so? I still think it's childish!!"
    t "boo.."
    "why is he looking at me like that?!?!"
    h "umm.. your creeping me out with your smile."
    t "ohh, this? sorry. hahaha"
    "is he teasing me? ARGGHH!!"
    h "are you teasing me?"
    show takashi evil with dissolve
    t "no... hahahahaha"
    h "***************!!"
    show takashi happy with dissolve
    t "hahaha!! no need to say bad words.."
    t "do you want me to walk you home?"
    "How should I respond?"
    menu:
        "Yes":
            jump klow
        "No":
            jump krow
            
    label klow:
    h "fine, just this once.."
    show takashi vhappy with dissolve
    t "hahaha! your nice!"
    h "what do you mean?"
    show takashi sad with dissolve
    t "you know, your just saying that because you don't want to hurt my feelings.."
    "what is he talking about?"
    "how should I respond?"
    menu:
        "I didn't":
            jump didnot
        "yeah, hahaha":
            jump didso
            
    label didso:
    h "yeah, you got me.. hahahaha"
    t "that hurts me you know."
    h "why?"
    show takashi blush with dissolve
    t "I have feelings for you... just a little."
    show hikaru blush with dissolve
    h "huh?"
    t "it's true..."
    h "...."
    t "sorry about that sudden sentence.. I just can't hold it in you know? I have to let it out."
    scene bg front with dissolve
    show takashi blush with dissolve
    h "ahh thanks.."
    t "your welcome.."
    h "hehehe, now walk me home."
    t "can't we sit here for a while?"
    h "umm.. ok."
    "we talked for a while... I think.."
    "because of that, I have feelings for him now too.."
    "I love him deeply, not just any kind of love.."
    scene bg frontnight with dissolve
    show takashi happy with dissolve
    h "huh? it's already night?"
    t "haha, we talked to much we didn't even notice.."
    t "shall I walk you home?"
    h "yes!"
    scene bg street with dissolve
    show takashi sad with dissolve
    t "we're here..."
    h "yes, why so sad?"
    t "o-o-o-o-o-o-ohhh... it's nothing.."
    h "your strange.."
    t "I have to kill you now.."
    h "WHY!?!"
    t "I have to follow my master whether I have feelings for you or not.."
    h "takashi..."
    show takashi good with dissolve
    t "hikaru... "
    h "why are you doing this?"
    t "because, I have to follow my master.."
    t "I'm just a spy, I don't treat Magical Mess as my team!"
    t "I just pretended to be in it.. I'm a fake.."
    t "I have to kill each member one by one.."
    t "including you..."
    h "why did you follow your master?!?!"
    h "who IS your master?!?!?!"
    h "why is he so important?"
    t "my DAD is my master... do you want me to disobey my father?"
    h "does he love you?"
    h "why does he order you these kind of things?"
    t "I don't know if he loves me.. maybe if I obey his orders he will!"
    t "I have to kill you!!"
    h "...."
    "Takashi puts out his knife.."
    "after 1"
    "2"
    "3"
    "4"
    "5 minutes.."
    t "...."
    t "hikaru..."
    h "what?"
    t "I just can't kill you..."
    scene bg street with dissolve
    show takashi sad with dissolve
    h "what about you?"
    t "it's fine.. you shouldn't die.."
    t "I have to protect you.."
    show takashi with dissolve
    t "but can you give me one kiss?"
    h "sure!"
    show takashi kiss with dissolve
    h "...."
    "what's with this kind of kiss?"
    "why does he seem so sad?"
    "he is pushing me too hard.. I can't move.."
    scene bg street with dissolve
    show takashi blush with dissolve
    pause .1
    show takashi with dissolve
    t "thanks.."
    h "your welcome.."
    t "you should go home now.."
    t "you made me feel better though.."
    h "what do you mean?"
    t "nothing.. sweet dreams!"
    h "you too!"
    t "bye"
    h "bye"
    scene bg homenight with dissolve
    pause .1
    scene bg bedroomnight with dissolve
    pause .1
    scene bg bedroomday with fade
    h "yey! I have to go see takashi in school!"
    scene bg homeday with dissolve
    pause .1
    scene bg street with dissolve
    pause .1
    scene bg front with dissolve
    h "hhmmm? he is not here.."
    h "maybe he is in his class.."
    scene bg hallwayday with dissolve
    pause .1
    scene bg stairsday with dissolve
    pause .1
    scene bg classroom with dissolve
    h "hey! where's Takashi?"
    u "eh? haven't you heard?"
    h "heard what?"
    u "Takashi's dead..."
    h "l-like I'd believe in that!!"
    u "are you Hikaru?"
    h "yes, how did you know?"
    u "he wants to give this to you!"
    h "a letter?"
    "as I touched the letter.. I smelled takashi's scent.."
    "and my tears started to drop.."
    "I opened the letter..."
    h "...."
    "Hikaru, sorry for suddenly dying.."
    "it's the only way I could protect you.. to die."
    "now you can live in peace.."
    "the Magical Mess will also be in peace solving mysteries.."
    "I love you"
    "Takashi.."
    h "takashi...."
    "my tears dropped and I screamed so loud..."
    h "why did this have to happen?"
    "................................................................"
    h "won't being sad waste his efforts?"
    h "I have to be strong and live longer..."
    "I wipped my tears and walked away.. smiling"
    "GOOD ENDING: TAKASHI 1/2"
    "the other ending is better than this.."
    "play again to see the other ending!"
    "now you get to see hikaru's color"
    show hikaru full with dissolve
    "thanks for playing!"
    
    return
    
    
    label didnot:
        
    h "I didn't.."
    show takashi angry with dissolve
    t "you don't have to lie."
    h "...."
    t "I hate you.. litterally."
    h "...."
    t "get out of my sight."
    h "...."
    "BAD ENDING - BAD ENDING XD"
    return
    
    label krow:
    h "no.. never."
    show takashi sad with dissolve
    t "ohh.. ok. I'll go home then."
    "he didn't even say 'bye' like he usually does.. he never talked to you after what happened."
    "NO PROGRESS"
    return    
    
    
